@ECHO OFF

:BINARY_SELECTION
IF EXIST ST4DLDR.COM GOTO STUNTS_STANDARD
IF EXIST SSENABLE GOTO SS_ENABLED
GOTO SS_DISABLED

:STUNTS_STANDARD
SET Stunts_Cmd=ST4DLDR.COM
GOTO STANDARD_CAR_LIST

:SS_ENABLED
SET SS_Status=Enabled
SET Stunts_Cmd=RESTUNTS.EXE /ssb
CYCLES=max limit 60000 >NUL
GOTO STANDARD_CAR_LIST

:SS_DISABLED
SET SS_Status=Disabled
SET Stunts_Cmd=SKIDMCGA.EXE /ssb
CYCLES=fixed 20000 >NUL

:STANDARD_CAR_LIST
CLS
ECHO.
ECHO  
ECHO   STUNTS CAR SELECTION ۰
ECHO  ۰
ECHO   
ECHO.
ECHO As standard, Stunts includes the following cars for you to choose from:
ECHO.
ECHO    Acura NSX                  Lamborghini LM-002
ECHO    Audi Quattro Sport         Lancia Delta HF Integrale 16V
ECHO    Chevrolet Corvette ZR1     Porsche 962 IMSA
ECHO    Ferrari GTO                Porsche Carrera 4
ECHO    Jaguar XJR9 IMSA           Porsche March Indy
ECHO    Lamborghini Countach
ECHO.
ECHO This package also includes two sets of custom cars, which you can choose
ECHO between from the following menu.
ECHO.
IF %Stunts_Cmd%==ST4DLDR.COM GOTO NO_CHOICE
ECHO SuperSight: %SS_Status%
ECHO.
CHOICE /C:CS /N "Press C to continue or S to toggle SuperSight: "
IF ERRORLEVEL 2 GOTO TOGGLE_SS
IF ERRORLEVEL 1 GOTO CUSTOM_CAR_MENU

:TOGGLE_SS
IF %SS_Status%==Disabled GOTO ENABLE_SS
IF %SS_Status%==Enabled GOTO DISABLE_SS

:ENABLE_SS
REM >SSENABLE
GOTO BINARY_SELECTION

:DISABLE_SS
IF EXIST SSENABLE DEL SSENABLE
GOTO BINARY_SELECTION

:NO_CHOICE
ECHO Press any key to continue...
PAUSE >NUL

:CUSTOM_CAR_MENU
CLS
ECHO  CUSTOM CAR SET 1      CUSTOM CAR SET 2 
ECHO.
ECHO Audi V8 Quattro DTM                   Lola Cosworth Indy
ECHO Baronetti A-70                        Lotus Esprit Turbo SE
ECHO Baronetti HEXA                        LWT-ZR1 GT3 Mark II
ECHO BMW M3 E30 DTM                        Mazda 787B IMSA/Group C
ECHO Caterham Super Seven JPE              McLaren Honda MP4/4
ECHO Chevrolet Camaro                      Melange XGT-88
ECHO Chevrolet Corvette CERV III           Mercedes-Benz 190 E DTM
ECHO Chevrolet Impala                      Nissan Skyline R32 GT-R
ECHO Chevrolet Silverado Monster Truck     Penske Chevrolet Indy
ECHO De Tomaso Pantera GTS                 Peugeot Oxia
ECHO Dodge Challenger R/T Hardtop          Plymouth Fury
ECHO Ferrari 456 GT                        Pontiac Firebird Turbo Trans Am
ECHO Ferrari 641/2 F1-90                   Porsche 911 Turbo
ECHO Ferrari F40                           Speedgate XSD
ECHO Ford Ranger                           Superkart
ECHO Ford Thunderbird                      Toyota Corolla GTi
ECHO IKA Torino GS                         Toyota Sprinter Trueno
ECHO Jaguar XJ220                          Williams Renault FW12C
ECHO Lamborghini Diablo VT                 Xylocaine XF
ECHO Lancia Stratos
ECHO.
CHOICE /C:12 /N "Please select the custom car set you would like to use: (1/2) "
IF ERRORLEVEL 2 GOTO CAR_SET2
IF ERRORLEVEL 1 GOTO CAR_SET1

:CAR_SET1
CLS
IF EXIST CAR????.RES DEL CAR????.RES
IF EXIST ST????.3SH DEL ST????.3SH
IF EXIST ST????.P3S DEL ST????.P3S
IF EXIST STDA????.PVS DEL STDA????.PVS
IF EXIST STDA????.VSH DEL STDA????.VSH
IF EXIST STDB????.PVS DEL STDB????.PVS
IF EXIST STDB????.VSH DEL STDB????.VSH
ECHO Extracting Standard Cars...
PKUNZIP.EXE STANDARD.CAR -o >NUL
ECHO Extracting Custom Cars...
PKUNZIP.EXE CUSTOM1.CAR -o >NUL
GOTO START

:CAR_SET2
CLS
IF EXIST CAR????.RES DEL CAR????.RES
IF EXIST ST????.3SH DEL ST????.3SH
IF EXIST ST????.P3S DEL ST????.P3S
IF EXIST STDA????.PVS DEL STDA????.PVS
IF EXIST STDA????.VSH DEL STDA????.VSH
IF EXIST STDB????.PVS DEL STDB????.PVS
IF EXIST STDB????.VSH DEL STDB????.VSH
ECHO Extracting Standard Cars...
PKUNZIP.EXE STANDARD.CAR -o >NUL
ECHO Extracting Custom Cars...
PKUNZIP.EXE CUSTOM2.CAR -o >NUL

:START
%Stunts_Cmd%
IF EXIST CAR????.RES DEL CAR????.RES
IF EXIST ST????.3SH DEL ST????.3SH
IF EXIST ST????.P3S DEL ST????.P3S
IF EXIST STDA????.PVS DEL STDA????.PVS
IF EXIST STDA????.VSH DEL STDA????.VSH
IF EXIST STDB????.PVS DEL STDB????.PVS
IF EXIST STDB????.VSH DEL STDB????.VSH